org.appng.api.support

## Class ParameterSupportBase

- java.lang.Object
- - org.appng.api.support.ParameterSupportBase

- All Implemented Interfaces:
    ParameterSupport
  Direct Known Subclasses:
    DollarParameterSupport, HashParameterSupport

      public class ParameterSupportBase
      extends Object
      implements ParameterSupport

  Basic `ParameterSupport` implementation.
  Author:
    Matthias Müller

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ParameterSupportBase(String prefix, String suffix)`
    `protected` | `ParameterSupportBase(String prefix, String suffix, Map<String,String> parameters)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `allowDotInName()` Call this method to allow dots in parameter names, which is disabled by default.
    `ExpressionEvaluator` | `getExpressionEvaluator()` Returns an `ExpressionEvaluator` created with the parameters of this `ParameterSupport`.
    `Collection<String>` | `getParameterNames()` Returns the names of all parameters this `ParameterSupport` is aware of.
    `Map<String,String>` | `getParameters()` Returns an immutable `Map` containing all parameters this `ParameterSupport` is aware of.
    `List<String>` | `getParameters(String source)` Returns the names of all parameters used in the given `String`, without affixes.
    `String` | `replaceParameters(String source)` Replaces all parameters in the given `String` and returns a new one containing the replacements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterSupportBase

          protected ParameterSupportBase(String prefix,
                                         String suffix,
                                         Map<String,String> parameters)

    - #### ParameterSupportBase

          protected ParameterSupportBase(String prefix,
                                         String suffix)

  - ### Method Detail

    - #### allowDotInName

          public void allowDotInName()

      Call this method to allow dots in parameter names, which is disabled by default.

    - #### replaceParameters

          public final String replaceParameters(String source)

      Description copied from interface: `ParameterSupport`
      Replaces all parameters in the given `String` and returns a new one containing the replacements.
      Specified by:
        `replaceParameters` in interface `ParameterSupport`
      Parameters:
        `source` - the `String` to replace the parameters in
      Returns:
        a new `String` with the parameters replaced

    - #### getParameters

          public final List<String> getParameters(String source)

      Description copied from interface: `ParameterSupport`
      Returns the names of all parameters used in the given `String`, without affixes.
      Specified by:
        `getParameters` in interface `ParameterSupport`
      Parameters:
        `source` - the `String` to search the parameters for
      Returns:
        the names of all parameters used in the given `String`, without affixes.

    - #### getParameterNames

          public final Collection<String> getParameterNames()

      Description copied from interface: `ParameterSupport`
      Returns the names of all parameters this `ParameterSupport` is aware of.
      Specified by:
        `getParameterNames` in interface `ParameterSupport`
      Returns:
        the names of all parameters this `ParameterSupport` is aware of

    - #### getParameters

          public final Map<String,String> getParameters()

      Description copied from interface: `ParameterSupport`
      Returns an immutable `Map` containing all parameters this `ParameterSupport` is aware of.
      Specified by:
        `getParameters` in interface `ParameterSupport`
      Returns:
        an immutable `Map` containing all parameters this `ParameterSupport` is aware of.

    - #### getExpressionEvaluator

          public final ExpressionEvaluator getExpressionEvaluator()

      Description copied from interface: `ParameterSupport`
      Returns an `ExpressionEvaluator` created with the parameters of this `ParameterSupport`.
      Specified by:
        `getExpressionEvaluator` in interface `ParameterSupport`
      Returns:
        an `ExpressionEvaluator` created with the parameters of this `ParameterSupport`.

Copyright © 2011–2023 aiticon GmbH. All rights reserved.